using NodaTime;

namespace Hydra.Backend.Database.Models;

public class Token : BaseModel
{
    public required byte[] Hash { get; init; }
    public required Instant ExpiresAt { get; init; }
    public required string[] Scopes { get; init; }
    public bool ManuallyExpired { get; set; }

    public Ulid UserId { get; init; }
    public Account Account { get; init; } = null!;

    public Ulid ApplicationId { get; set; }
    public Application Application { get; set; } = null!;
}